# Administration Reference

## pts listmax

Purpose

Displays the `max user id` and `max group id` counters

Synopsis

    pts listmax [-cell <cell name>]  [-noauth]  [-force]  [-help]

    pts listm  [-c <cell name>]  [-n]  [-f]  [-h]

Description

The pts listmax command displays the values of the `max user id` and `max group id` counters, which the Protection Server uses to track the AFS user IDs (AFS UIDs) it allocates to new users or machines, and the AFS group IDs (AFS GIDs) it allocates to new groups, respectively. When an administrator next issues the pts createuser command and does not include the -id argument, the new user or machine receives an AFS UID one greater than the `max user id` counter, and when a user issues the pts creategroup command and does not include the -id argument, the new group receives an AFS UID one less (more negative) than the `max group id` counter.

To reset one or both counters, members of the system:administrators group can issue the pts setmax command.

Options

-cell
  Names the cell in which to run the command. For more details, see the introductory pts reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. For more details, see the introductory pts reference page.

-force
  Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The command displays the counters in the following format:

       Max user id is user_counter and max group id is group_counter.

Examples

The following example displays the output of this command:

       % pts listmax
       Max user name is 1271 and max group id is -382.

Privilege Required

None

Related Information

pts

pts setmax

© IBM Corporation 2000. All Rights Reserved